TULISAN - Feature #3474

[CRM] Page untuk Memilih Lokasi setelah Login
03/04/2025 03:49 PM - haykal haykal

Status: QA Test Start date: 03/04/2025
Priority: Normal Due date:

Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Shofwan,
Sesuai dengan yang telah didiskusikan kemarin, jadi ingin ada page untuk memilih lokasi setelah user login.
Saya sudah membuat field Outlet di User Management (menambah field SalesOffice di tabel SUSERGENERALDATA).

Jadi untuk user (admin) yg sudah terdaftar outletnya di User Management, dia bisa untuk Switch Location di page ini apabila dia
sedang pindah toko. Dan untuk user (admin) yang tidak terdaftar outletnya (admin yang mobile), dia bisa memilih lokasi di page ini.

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login.html
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 03/05/2025 10:26 AM - Kezia Pawitra Yulianti

saya tambahan sedikit informasinya ya

‘Jadi untuk user (admin) yg sudah terdaftar outletnya di User Management, maka default store yg muncul sesuai yg terdaftar di user management
namun dia bisa untuk edit dan ganti Location di page ini'

Thanks

#2 - 03/05/2025 10:27 AM - Kezia Pawitra Yulianti
- Due date set to 03/10/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#3 - 03/05/2025 11:44 AM - shofwan shiddiq

- File clipboard-202503051142-nhjix.png added

- File clipboard-202503051144-2gxha.png added

- Due date deleted (03/10/2025)

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

- Priority changed from Urgent to Normal

Dear Haykal, Location sales office sudah di tambahkan ya
Hello shofwan, Silahkan Pilinh
Item Favorit Anda

Bags & Totes | wallets Straps | |

New Launching

Friday Deals !
20% OFF

hiy Basket

Accet

Puisi Tote October Bundle

Rp. 888.000.- Rp. 500.000.-
Sales Order

Document Header

Document Number:

Company ID:

Document Date:

Document Status:

Document Type:

Receipt Number:

Outlet:

Skenario

1. Load sales office berdasarkan sales office user
2. Terdapat Combo apabila ingin pindah sales office secara manual
3. Saat save document, sales office tersimpan sesuai sales office yang dipilih

#4 - 03/05/2025 02:08 PM - haykal haykal
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

00000190

PT Tulisan

05/03/2025

Closed

Sales Order

Toko DS

Description:

Process ID:

ProcessStatus:

Deliver To:

Payment Type:

Payment ID:

Payment Amount:

Close

Haneul

Transfer
Deposit

2298000.00

Jadinya dibikin page baru ya Wan setelah Login (untk memilih lokasi). Jadi setelah login jangan langsung ke page Home

-Untk user yg SalesOffice terdaftar secara default sudah terpilih lokasinya. Namun menyediakan opsi juga untk Switch Location

-Untk user yg SalesOfficenya blm terdaftar, user wajib isi Location (tidak boleh lanjut ke Homepage sebelum memilih)

Terimakasih.

#5 - 03/07/2025 04:38 PM - haykal haykal

Dear Developer,

Tolong dimake sure juga untuk Outlet yg dipilih di CRM ini berkorelasi juga dengan Warehousenya.

Jadi misalkan user login (atau memilih) dengan Outlet Toko DS (SalesOffCode 0001) di CRM maka transaksi yang dilakukan harus berpengaruh

dengan jumlah stok di WH DS (Warehouse 0002).

Terimakasih.

#6 - 03/10/2025 02:39 PM - shofwan shiddiq
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Sesuai diskusi meeting PMO, task yg ini tidak jadi dikerjakan ya.
